• ログイン今すぐ開始

本書は、お客様のご参考のために原文の英語版を機械翻訳したものです。

英語版と齟齬がある場合、英語版の定めが優先するものとします。より詳しい情報については、本リンクをご参照ください。

問題を作成する

パーミッションの要件を決定する(PHP)

問題

New Relic PHP エージェントをインストールして使用するために、どのようなシステムパーミッションが必要かを判断する必要があります。

解決策

ほとんどのユースケースにおいて、New Relic for PHP をインストールするには root 権限が必要です。これは、インストールの過程で、root ユーザーのみが利用できる権限が必要となるためです。これらの権限には次のようなものがあります。

  • PHP extensionsディレクトリへのリード/ライトアクセス
  • PHPの設定データへの読み書き可能なアクセスは、PHP設定ディレクトリ(推奨)または php.ini のいずれかになります。
  • WebサーバーやPHPプロセスプールを再起動する機能。

エージェントの実行には、root 権限は必要ありません。エージェントは、以下のファイルへの読み書き可能なアクセス権を必要とします(これらのファイルの場所は、 PHP エージェント設定 でカスタマイズできます)。

Copyright © 2022 New Relic株式会社。

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.